!set title=Temps sans marquer les verbes d'abord
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Bernadette Perrin-Riou
email=bpr@math.u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=121
prevarcnt=120
postvarcnt=0
replycnt=40
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=temps
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Donner le temps des verbes marqués.

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=
val12=no
val13=no
val14=no
val15=no
val16=yes
val17=8
val18=split
val19=1
val20=aucune de ces possibilités
val21=case
val22=
val23=
val24=
val25=
val26=
val27=background-color: #FFFFCC; margin: 2% 5%; padding: 2%;
val28=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 2%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=outside
val33=yes
val34=1
val35=
val36=
val37=
val38=---
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val39=$(tmp0)
tmp0=!recordcnt $val39

val40=$[rint($(tmp0))]
val41=1
val42=1
val43=3

!ifval $val21 iswordof case 
val44= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val45=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val46= noreaccent
!else
val46=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val47= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val39

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val39

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val39

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val39

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val48=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val39

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val49= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val39

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val50= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val39

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val51= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val39

val52= $(tmp0)
!else
val52=$val10
!endif
val53=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val42=$[rint(min($val40,$val42))]
val41=$[rint(min($val42*$val41,$val40))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val40

val54= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val40

val54=	$(tmp1)
!endif
tmp=!trim 
val55=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val56=!translate internal $	\
$ to ;; in $tmp
val57=
tmp=!trim 
val58=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val59=!translate internal $	\
$ to ;; in $tmp
val60=
val61=
!for val62 = 1 to $val42 
tmp0=!record $(val54[$val62]) of $val39

val63=$(tmp0)
tmp=!translate internal $	$ to ; in $val63

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val64=$(tmp0)
tmp0=!getopt audio in $val64

val65=$(tmp0)
tmp0=!getopt image in $val64

val66=$(tmp0)
tmp0=!getopt title in $val64

val67=$(tmp0)
tmp0=!getopt intro in $val64

val68=$(tmp0)

!ifval $val65$val66$val67$val68  notsametext 
val69= 1 
!else
val69= 0
!endif
val70=

!ifval $val67 notsametext 
val70=$val70<p align="center">$val67</p>
!endif

!ifval $val68 notsametext 
val70=$val70 $val68
!endif

!ifval $val66 notsametext 
val70= $val70 <p align="center"><img src=$val1/$val66></p>
!endif
!if $val65 notsametext  

!ifval . isin $val65 or $val37= 
!readproc slib/media/audio $val1/$val65,player=$val38 
tmp0=$slib_out
val71= 	       $(tmp0)
!else
!readproc slib/lang/swac $val65,$val37,player=$val38 
tmp1=$slib_out
val71=$(tmp1)
!endif
val70=$val70 <p align="center">$(val71[1;1])</p>
!endif

!ifval $val69=1  
val72= $val70
!else
val72=
!endif

!ifval $val69=1 
tmp0=!line 2 of $val63

val63= $(tmp0)
!endif
val61=$val61 $val72 <p> $val63
!next
tmp0=!embraced randitem $val61

val61=$(tmp0)
tmp0=!replace internal ??| by ??&nbsp;| in $val61

val61=$(tmp0)
tmp0=!replace internal ?? | by ??&nbsp;| in $val61

val61=$(tmp0)
!readproc slib/text/markgroup $val61 
tmp0=$slib_out
tmp=!trim $(tmp0)
val61=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $(val61[1..-4;])
val58=!translate internal $	\
$ to ;; in $tmp
val73=$(val61[-2;])
tmp0=!items2lines $val73

tmp=!trim $(tmp0)
val73=!translate internal $	\
$ to ;; in $tmp
tmp0=!replace internal || by | in $val73

tmp=!trim $(tmp0)
val73=!translate internal $	\
$ to ;; in $tmp
tmp0=!replace internal &#44; by , in $val73

tmp=!trim $(tmp0)
val73=!translate internal $	\
$ to ;; in $tmp
tmp0=!replace internal | by , in $val73

tmp=!trim $(tmp0)
val74=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val58

tmp0=!rowcnt $tmp
val75=$(tmp0)
tmp0=!rows2lines $val58

val76=$(tmp0)
tmp0=!lines2items $val76

val76=$(tmp0)
tmp0=!column 1 of $val58

val77=$(tmp0)
val61=$(val61[-3;])
tmp0=!itemcnt $val61

val60=$(tmp0)
tmp0=!items2words $val61

val78=$(tmp0)
val79=
!for val62  = 1 to $val75 
val80=$(val61[$(val58[$val62;])])
tmp0=!items2words $val80

val80=$(tmp0)
val79=$val79,$val80
!next
tmp0=!nonempty items $val79

val79=$(tmp0)
tmp0=!makelist r x for x = 1 to $val75

val81=$(tmp0)
val82=
val83=$[rint(0)]
!for val84  = 1 to $val60 
!if $val84 isitemof $val77 
val83=$[rint($val83+1)]
val82=$val82,$val83
!else
val82=$val82,0
!endif
!next
tmp0=!nonempty items $val82

val82=$(tmp0)
tmp0=!items2lines $val81

val85=$(tmp0)
oefsteps=$val85 
nextstep=!nosubst $val85 
!readproc oef/steps.proc
replytype1=$val21

replyoption1=nopunct noparenthesis $val46 
replyname1=$(val79[1])
replygood1=$(val73[1;]);$val52
replytype2=$val21

replyoption2=nopunct noparenthesis $val46 
replyname2=$(val79[2])
replygood2=$(val73[2;]);$val52
replytype3=$val21

replyoption3=nopunct noparenthesis $val46 
replyname3=$(val79[3])
replygood3=$(val73[3;]);$val52
replytype4=$val21

replyoption4=nopunct noparenthesis $val46 
replyname4=$(val79[4])
replygood4=$(val73[4;]);$val52
replytype5=$val21

replyoption5=nopunct noparenthesis $val46 
replyname5=$(val79[5])
replygood5=$(val73[5;]);$val52
replytype6=$val21

replyoption6=nopunct noparenthesis $val46 
replyname6=$(val79[6])
replygood6=$(val73[6;]);$val52
replytype7=$val21

replyoption7=nopunct noparenthesis $val46 
replyname7=$(val79[7])
replygood7=$(val73[7;]);$val52
replytype8=$val21

replyoption8=nopunct noparenthesis $val46 
replyname8=$(val79[8])
replygood8=$(val73[8;]);$val52
replytype9=$val21

replyoption9=nopunct noparenthesis $val46 
replyname9=$(val79[9])
replygood9=$(val73[9;]);$val52
replytype10=$val21

replyoption10=nopunct noparenthesis $val46 
replyname10=$(val79[10])
replygood10=$(val73[10;]);$val52
replytype11=$val21

replyoption11=nopunct noparenthesis $val46 
replyname11=$(val79[11])
replygood11=$(val73[11;]);$val52
replytype12=$val21

replyoption12=nopunct noparenthesis $val46 
replyname12=$(val79[12])
replygood12=$(val73[12;]);$val52
replytype13=$val21

replyoption13=nopunct noparenthesis $val46 
replyname13=$(val79[13])
replygood13=$(val73[13;]);$val52
replytype14=$val21

replyoption14=nopunct noparenthesis $val46 
replyname14=$(val79[14])
replygood14=$(val73[14;]);$val52
replytype15=$val21

replyoption15=nopunct noparenthesis $val46 
replyname15=$(val79[15])
replygood15=$(val73[15;]);$val52
replytype16=$val21

replyoption16=nopunct noparenthesis $val46 
replyname16=$(val79[16])
replygood16=$(val73[16;]);$val52
replytype17=$val21

replyoption17=nopunct noparenthesis $val46 
replyname17=$(val79[17])
replygood17=$(val73[17;]);$val52
replytype18=$val21

replyoption18=nopunct noparenthesis $val46 
replyname18=$(val79[18])
replygood18=$(val73[18;]);$val52
replytype19=$val21

replyoption19=nopunct noparenthesis $val46 
replyname19=$(val79[19])
replygood19=$(val73[19;]);$val52
replytype20=$val21

replyoption20=nopunct noparenthesis $val46 
replyname20=$(val79[20])
replygood20=$(val73[20;]);$val52
replytype21=$val21

replyoption21=nopunct noparenthesis $val46 
replyname21=$(val79[21])
replygood21=$(val73[21;]);$val52
replytype22=$val21

replyoption22=nopunct noparenthesis $val46 
replyname22=$(val79[22])
replygood22=$(val73[22;]);$val52
replytype23=$val21

replyoption23=nopunct noparenthesis $val46 
replyname23=$(val79[23])
replygood23=$(val73[23;]);$val52
replytype24=$val21

replyoption24=nopunct noparenthesis $val46 
replyname24=$(val79[24])
replygood24=$(val73[24;]);$val52
replytype25=$val21

replyoption25=nopunct noparenthesis $val46 
replyname25=$(val79[25])
replygood25=$(val73[25;]);$val52
replytype26=$val21

replyoption26=nopunct noparenthesis $val46 
replyname26=$(val79[26])
replygood26=$(val73[26;]);$val52
replytype27=$val21

replyoption27=nopunct noparenthesis $val46 
replyname27=$(val79[27])
replygood27=$(val73[27;]);$val52
replytype28=$val21

replyoption28=nopunct noparenthesis $val46 
replyname28=$(val79[28])
replygood28=$(val73[28;]);$val52
replytype29=$val21

replyoption29=nopunct noparenthesis $val46 
replyname29=$(val79[29])
replygood29=$(val73[29;]);$val52
replytype30=$val21

replyoption30=nopunct noparenthesis $val46 
replyname30=$(val79[30])
replygood30=$(val73[30;]);$val52
replytype31=$val21

replyoption31=nopunct noparenthesis $val46 
replyname31=$(val79[31])
replygood31=$(val73[31;]);$val52
replytype32=$val21

replyoption32=nopunct noparenthesis $val46 
replyname32=$(val79[32])
replygood32=$(val73[32;]);$val52
replytype33=$val21

replyoption33=nopunct noparenthesis $val46 
replyname33=$(val79[33])
replygood33=$(val73[33;]);$val52
replytype34=$val21

replyoption34=nopunct noparenthesis $val46 
replyname34=$(val79[34])
replygood34=$(val73[34;]);$val52
replytype35=$val21

replyoption35=nopunct noparenthesis $val46 
replyname35=$(val79[35])
replygood35=$(val73[35;]);$val52
replytype36=$val21

replyoption36=nopunct noparenthesis $val46 
replyname36=$(val79[36])
replygood36=$(val73[36;]);$val52
replytype37=$val21

replyoption37=nopunct noparenthesis $val46 
replyname37=$(val79[37])
replygood37=$(val73[37;]);$val52
replytype38=$val21

replyoption38=nopunct noparenthesis $val46 
replyname38=$(val79[38])
replygood38=$(val73[38;]);$val52
replytype39=$val21

replyoption39=nopunct noparenthesis $val46 
replyname39=$(val79[39])
replygood39=$(val73[39;]);$val52
replytype40=$val21

replyoption40=nopunct noparenthesis $val46 
replyname40=$(val79[40])
replygood40=$(val73[40;]);$val52
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val47$val53 <p>$val8</p> $val72	   
!if $val48 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val50 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val49$val51	    
!if $val32=outside 
$()	     <div class="reponse">	      
!for m_s = 1 to $val60 
$()	       
!if $m_s notitemof $val76 
$()$(val61[$m_s]) 
!else
$() 	         
!if $m_s isitemof $val77 
$()	            
!if $(val82[$m_s]) = $m_step 
$()<font size=+1 color=blue>$(val79[$(val82[$m_s])])</font> 
!endif
$()	            
!if $(val82[$m_s]) < $m_step 
$()<font size=+1 color=green>$(val79[$(val82[$m_s])])</font> 
!endif
$()	            
!if $(val82[$m_s]) > $m_step 
$()$(val79[$(val82[$m_s])]) 
!endif
$()	       
!endif
$()	      
!endif
$()	     
!next
$()	    </div>	     <div class="question">	    
!for m_s = 1 to $val75 
$()	         
!if $m_s < $m_step 
$()<br> $(val79[$m_s]) : <font color=green><b>  $(val73[$m_s;])</b></font> 
!endif
$()	         
!if $m_s = $m_step 
$()	         <br> $(val79[$m_s]) :  
!read oef/embed.phtml reply $(val81[$m_s]),$val17	         $val44 
$()	       
!endif
$()	    
!next
$()	   
!else
$()	  	    <div class="question">	     
!for m_s = 1 to $val60 
$()	       
!if $m_s notitemof $val76 or $(val82[$m_s]) > $m_step 
$()$(val61[$m_s]) 
!else
$() 	           
!if $m_s isitemof $val76 
$()	            
!if $(val82[$m_s]) = $m_step 
$()	               
!read oef/embed.phtml $(val81[$(val82[$m_s])]), $val17	              $val44 
$()	              <font size=-1 color=red>$(val61[$m_s])</font>	             
!else
$() 	           <font color=green><b> $(val74[$(val82[$m_s]);1])</b></font> 
!endif
$()	        
!endif
$()	     
!endif
$()	    
!next
$()	   </div>	   
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,17,32,44,47,48,49,50,51,53,60,61,72,73,74,75,76,77,79,81,82
embedcnt=4
